package com.lesingle.modules.biz.review.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lesingle.modules.biz.review.dto.CreatePresetCommentDto;
import com.lesingle.modules.biz.review.dto.PresetCommentVo;
import com.lesingle.modules.biz.review.entity.BizPresetComment;

import java.util.List;

public interface IPresetCommentService extends IService<BizPresetComment> {

    BizPresetComment createComment(CreatePresetCommentDto dto, Long judgeId);

    List<PresetCommentVo> findAll(Long judgeId);

    PresetCommentVo findDetail(Long id, Long judgeId);

    BizPresetComment updateComment(Long id, CreatePresetCommentDto dto, Long judgeId);

    void removeComment(Long id, Long judgeId);

    void batchDelete(List<Long> ids, Long judgeId);

    void incrementUseCount(Long id, Long judgeId);
}
